AO-LOAD(1)

NAME
ao-cal-freq - Calibrate AltOS flight computer frequency

SYNOPSIS
ao-cal-freq [-T tty-device] [--tty tty-device] [-D altos-device] [--device altos-device] [-v] [--verbose] [-n] [--nosave] [-o cal-value-output-file] [--output cal-value-output-file]

DESCRIPTION
ao-cal-freq drives the frequency calibration process and saves the result.

OPTIONS

-T tty-device | --tty tty-device
    This selects which tty device the debugger uses to communicate with the target device. The special name 'BITBANG' directs ao-dbg to use the cp2103 connection, otherwise this should be a usb serial port connected to a suitable cc1111 debug node.

-D AltOS-device | --device AltOS-device
    Search for a connected device. This requires an argument of one of the following forms:

    TeleMega:2
    TeleMega
    2

    Leaving out the product name will cause the tool to select a suitable product, leaving out the serial number will cause the tool to match one of the available devices.

-o cal-value-output-file | --output cal-value-output-file
    Writes the resulting calibration value to the specified file.

-n | --nosave
    Inhibits saving the calibration value on the device. Necessary for devices which don't have on-board configuration storage.

-v | --verbose
    Makes ao-cal-freq chatty about communication with the target device.

USAGE
ao-cal-freq opens the target device, interactively calibrates the frequency, then shows the resulting calibration values and (optionally) saves them to configuration memory and/or a file.

AUTHOR
Keith Packard